Get a test account
curl --request GET \
--url https://api-sandbox.beinfi.com/public/v1/claimables/{claimableID}import requests
url = "https://api-sandbox.beinfi.com/public/v1/claimables/{claimableID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-sandbox.beinfi.com/public/v1/claimables/{claimableID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "UNCLAIMED",
"tenantSlug": "<string>",
"ref": "lovable",
"expiresAt": "2023-11-07T05:31:56Z",
"accountName": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimedAt": "2023-11-07T05:31:56Z"
}Test account
Get a test account
Tells whether the test account has been claimed and when it expires. Takes no key and returns no keys.
GET
/
public
/
v1
/
claimables
/
{claimableID}
Get a test account
Path Parameters
The id returned when the test account was created.
Response
200 - application/json
The test account's state.
A test account's public state, without keys.
UNCLAIMED or CLAIMED.
Available options:
UNCLAIMED, CLAIMED The account's public identifier.
Where the account came from.
Available options:
lovable, mcp, cursor, cli Claim deadline.
The starter product.
When the account was claimed.